### Hierarchy

- unknown
  - DepositResponse

## Index

### Constructors

- constructor

### Methods

- clearPubKeyRing
- clearSenderNodeAddress
- getCurrentDate
- getPubKeyRing
- getSenderNodeAddress
- getTradeId
- getUid
- hasPubKeyRing
- hasSenderNodeAddress
- serializeBinary
- setCurrentDate
- setPubKeyRing
- setSenderNodeAddress
- setTradeId
- setUid
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new DepositResponse(): DepositResponse

- Inherited from jspb.Message.constructor

  #### Returns DepositResponse

## Methods

### clearPubKeyRing

- clearPubKeyRing(): DepositResponse

- - Defined in src/protobuf/pb_pb.d.ts:1569

  #### Returns DepositResponse

### clearSenderNodeAddress

- clearSenderNodeAddress(): DepositResponse

- - Defined in src/protobuf/pb_pb.d.ts:1564

  #### Returns DepositResponse

### getCurrentDate

- getCurrentDate(): number

- - Defined in src/protobuf/pb_pb.d.ts:1574

  #### Returns number

### getPubKeyRing

- getPubKeyRing(): undefined | PubKeyRing

- - Defined in src/protobuf/pb_pb.d.ts:1566

  #### Returns undefined | PubKeyRing

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1561

  #### Returns undefined | NodeAddress

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1558

  #### Returns string

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:1571

  #### Returns string

### hasPubKeyRing

- hasPubKeyRing(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1568

  #### Returns boolean

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1563

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1577

  #### Returns Uint8Array

### setCurrentDate

- setCurrentDate(value: number): DepositResponse

- - Defined in src/protobuf/pb_pb.d.ts:1575

  #### Parameters

  - ##### value: number

  #### Returns DepositResponse

### setPubKeyRing

- setPubKeyRing(value?: PubKeyRing ): DepositResponse

- - Defined in src/protobuf/pb_pb.d.ts:1567

  #### Parameters

  - ##### Optional value: PubKeyRing

  #### Returns DepositResponse

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): DepositResponse

- - Defined in src/protobuf/pb_pb.d.ts:1562

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns DepositResponse

### setTradeId

- setTradeId(value: string): DepositResponse

- - Defined in src/protobuf/pb_pb.d.ts:1559

  #### Parameters

  - ##### value: string

  #### Returns DepositResponse

### setUid

- setUid(value: string): DepositResponse

- - Defined in src/protobuf/pb_pb.d.ts:1572

  #### Parameters

  - ##### value: string

  #### Returns DepositResponse

### toObject

- toObject(includeInstance?: boolean): DepositResponse . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1578

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns DepositResponse . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): DepositResponse

- - Defined in src/protobuf/pb_pb.d.ts:1581

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns DepositResponse

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: DepositResponse, reader: BinaryReader): DepositResponse

- - Defined in src/protobuf/pb_pb.d.ts:1582

  #### Parameters

  - ##### message: DepositResponse

  - ##### reader: BinaryReader

  #### Returns DepositResponse

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: DepositResponse, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:1580

  #### Parameters

  - ##### message: DepositResponse

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: DepositResponse ): DepositResponse . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1579

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: DepositResponse

  #### Returns DepositResponse . AsObject

Generated using TypeDoc